cc.funkemunky.api

## Class Atlas

- java.lang.Object
- - org.bukkit.plugin.PluginBase
  - - org.bukkit.plugin.java.JavaPlugin
    - - cc.funkemunky.api.Atlas

All Implemented Interfaces:
  org.bukkit.command.CommandExecutor, org.bukkit.command.TabCompleter, org.bukkit.command.TabExecutor, org.bukkit.plugin.Plugin

    public class Atlas
    extends org.bukkit.plugin.java.JavaPlugin

### Constructor Summary

Constructors
Constructor and Description
`Atlas()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initializeScanner(java.lang.Class<? extends org.bukkit.plugin.java.JavaPlugin> mainClass, org.bukkit.plugin.java.JavaPlugin plugin)`
`void` `initializeScanner(java.lang.Class<? extends org.bukkit.plugin.java.JavaPlugin> mainClass, org.bukkit.plugin.java.JavaPlugin plugin, boolean loadListeners, boolean loadCommands, Configuration mainConfig)`
`void` `initializeScanner(org.bukkit.plugin.java.JavaPlugin plugin)`
`void` `initializeScanner(org.bukkit.plugin.java.JavaPlugin plugin, boolean loadListeners, boolean loadCommands)`
`void` `onDisable()`
`void` `onEnable()`
`void` `reloadConfig()`
`void` `saveConfig()`

### Methods inherited from class org.bukkit.plugin.java.JavaPlugin

`getClassLoader, getCommand, getConfig, getDatabase, getDatabaseClasses, getDataFolder, getDefaultWorldGenerator, getDescription, getFile, getLogger, getPlugin, getPluginLoader, getProvidingPlugin, getResource, getServer, getTextResource, initialize, installDDL, isEnabled, isInitialized, isNaggable, onCommand, onLoad, onTabComplete, removeDDL, saveDefaultConfig, saveResource, setEnabled, setNaggable, toString`

### Methods inherited from class org.bukkit.plugin.PluginBase

`equals, getName, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.command.TabCompleter

`onTabComplete`

### Constructor Detail

#### Atlas

    public Atlas()

### Method Detail

#### onEnable

    public void onEnable()

Specified by:
  `onEnable` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onEnable` in class `org.bukkit.plugin.java.JavaPlugin`

#### onDisable

    public void onDisable()

Specified by:
  `onDisable` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onDisable` in class `org.bukkit.plugin.java.JavaPlugin`

#### initializeScanner

    public void initializeScanner(java.lang.Class<? extends org.bukkit.plugin.java.JavaPlugin> mainClass,
                                  org.bukkit.plugin.java.JavaPlugin plugin,
                                  boolean loadListeners,
                                  boolean loadCommands,
                                  @Nullable
                                  Configuration mainConfig)

#### saveConfig

    public void saveConfig()

Specified by:
  `saveConfig` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `saveConfig` in class `org.bukkit.plugin.java.JavaPlugin`

#### reloadConfig

    public void reloadConfig()

Specified by:
  `reloadConfig` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `reloadConfig` in class `org.bukkit.plugin.java.JavaPlugin`

#### initializeScanner

    public void initializeScanner(java.lang.Class<? extends org.bukkit.plugin.java.JavaPlugin> mainClass,
                                  org.bukkit.plugin.java.JavaPlugin plugin)

#### initializeScanner

    public void initializeScanner(org.bukkit.plugin.java.JavaPlugin plugin)

#### initializeScanner

    public void initializeScanner(org.bukkit.plugin.java.JavaPlugin plugin,
                                  boolean loadListeners,
                                  boolean loadCommands)